SDL_SetLogOutputFunction(3)

NAME
SDL_SetLogOutputFunction - Replace the default log output function with one of your own.

HEADER FILE
Defined in SDL3/SDL_log.h

SYNOPSIS
#include "SDL3/SDL.h"

void SDL_SetLogOutputFunction(SDL_LogOutputFunction callback, void *userdata);

FUNCTION PARAMETERS

callback
    an SDL_LogOutputFunction
     to call instead of the default

userdata
    a pointer that is passed to callback

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetLogOutputFunction(3)